
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.geom.Ellipse2D;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author Renato
 */
public class EllipseDrawer implements Drawer {

    // Metodo per disegnare
    public void draw(Object anObject, Graphics2D g2, int numero, Color colore) {
        //La figura da disegnare
        // Oggetto da disegnare, oggetto Graphics2D, numero e colore delle caselle
        Ellipse2D.Double r = (Ellipse2D.Double) anObject;
        int i = 1;
        int j = 1;
        // Ampiezza ed altezza della figura
        int w = (int) r.getWidth();
        int h = (int) r.getHeight();
        // Si disegnano le caselle
        for (j = 1; j <= numero; j++) {
            for (i = 1; i <= numero; i++) {
                // Si crea una copia della figura e la si trasla
                Ellipse2D.Double r1 = (Ellipse2D.Double) r.clone();
                r1.setFrame(r1.getX() + (i - 1) * w, r1.getY() + (j - 1) * h, w, h);
                // Si alterna il colore
                if ((i + j) % 2 == 0) {
                    g2.setColor(colore);
                } else {
                    g2.setColor(Color.WHITE);
                }
                // Si disegna la figura
                g2.fill(r1);
            }
        }

    }

}
