
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.Rectangle;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
/**
 *
 * @author Renato
 */
public class RectangleDrawer implements Drawer {

    // Metodo per disegnare
    // Oggetto da disegnare, oggetto Graphics2D, numero e colore delle caselle
    public void draw(Object anObject, Graphics2D g2, int numero, Color colore) {
        // La figura da disegnare
        Rectangle r = (Rectangle) anObject;
        int i = 1;
        int j = 1;
        // Ampiezza ed altezza del rettangolo
        int w = (int) r.getWidth();
        int h = (int) r.getHeight();
        // Si disegnano le caselle
        for (j = 1; j <= numero; j++) {
            for (i = 1; i <= numero; i++) {
                // Si crea una copia del rettangolo e lo si trasla
                Rectangle r1 = new Rectangle(r);
                r1.translate((i - 1) * w, (j - 1) * h);
                // Si alterna il colore
                if ((i + j) % 2 == 0) {
                    g2.setColor(colore);
                } else {
                    g2.setColor(Color.WHITE);
                }
                // Si disegna la figura
                g2.fill(r1);
            }
        }

    }
}
